package kiyut.sketsa.modules.symbollibrary;


import kiyut.sketsa.modules.symbollibrary.SymbolLibraryTopComponent;
import org.openide.util.NbBundle;
import org.openide.windows.TopComponent;
import org.openide.util.HelpCtx;
import org.openide.util.actions.CallableSystemAction;

/**
 * Action which shows <code>SymbolLibraryTopComponent</code> component.
 */
public class SymbolLibraryTopComponentAction extends CallableSystemAction {
    
    /** {@inheritDoc} */
    public void performAction() {
        TopComponent tc = SymbolLibraryTopComponent.findInstance();
        tc.open();
        tc.requestActive();
    }
    
    /** {@inheritDoc} */
    public String getName() {
        return NbBundle.getMessage(SymbolLibraryTopComponentAction.class, "CTL_SymbolLibraryTopComponentAction");
    }
    
    
    /** {@inheritDoc} */
    public HelpCtx getHelpCtx() {
        return HelpCtx.DEFAULT_HELP;
    }
    
    /** {@inheritDoc} */
    protected boolean asynchronous() {
        return false;
    }
    
}
